Skip to main content
POST
/
v1
/
people
/
{person_id}
/
email_addresses
Create an email address for a person
curl --request POST \
  --url https://api.slant.app/v1/people/{person_id}/email_addresses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "john@example.com",
  "email_type": "personal",
  "is_primary": true
}
'
{
  "id": "<string>",
  "person_id": "<string>",
  "email": "<string>",
  "email_type": "<string>",
  "is_primary": true
}

Authorizations

Authorization
string
header
required

OAuth 2.0 Bearer Token from Clerk authentication

Path Parameters

person_id
string
required

The person ID

Body

application/json
email
string<email>
Example:

"john@example.com"

email_type
enum<string>
Available options:
personal,
business,
school,
other
Example:

"personal"

is_primary
boolean
Example:

true

Response

email address created

id
string
person_id
string
email
string
email_type
string
is_primary
boolean